#ifndef __JKEY_H
#define __JKEY_H

#ifndef WM_APPCOMMAND
#define WM_APPCOMMAND 0x319
#endif



BOOL addHotKey(LPTSTR modkeys,LPTSTR hotkeys, LPTSTR cmdstr, const char* buffer);
BOOL removeHotKey(LPTSTR modkeys,LPTSTR hotkeys, LPTSTR cmdstr, const char* buffer);

#define ERRORBOX(x) MessageBox(NULL,x,_T("jKey"),MB_OK|MB_ICONERROR|MB_DEFBUTTON1|MB_SYSTEMMODAL)

typedef struct{
	LPTSTR key;
	UINT vkey;
} tVKTable;

typedef struct{
	LPTSTR cmd;
	UINT ckey;
	UINT modkey;
	ATOM id;
	BOOL enabled;
} jKeyType;

typedef struct{
	BOOL bNoWarn;
	BOOL bUseHotkeyDef;
	LPTSTR pLWinKey, pRWinKey;
	int nLWinKeyTimeout, nRWinKeyTimeout;
} jkSettings;

#ifdef __cplusplus
	extern "C" {
#endif

		__declspec( dllexport ) INT initModuleEx ( HWND, HINSTANCE, LPCTSTR );
		__declspec( dllexport ) VOID quitModule ( HINSTANCE );

#ifdef __cplusplus
	}
#endif

#endif /*__JKEY_H*/
